Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024624
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-08-29 16:402013-09-30 12:52
ReportersureshbabuView Statuspublic 
Assigned Tomalsasua 
PrioritynormalResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision21361f985860
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024624: RMP24.2: when receipt is created with 100% discount and the product qty is 75.94 and when i reopen the receipt uncaught type err

Descriptionwhen receipt is created with 100% discount and the product quantity is increased to 75.94 and when i reopen the receipt in webpos Uncaught TypeError appears
Steps To Reproduce1) User price list not inclusive of taxes
2) Then from Discounts and promotions tab, create discount of 100% for product Adhesive body warmers

3) Then from WEBPOS, create a receipt using below details

product: Adhesive Body warmers
Qty: 75.94
Price: 3.60

Gross total price:0.00 (fixed 100% discount is applied)

4) Complete the receipt.


5) Then try to reopen the receipt from webpos


Defect: Uncaught type error appears in the screen and the above created receipt not opened in the WEBPOS.
TagsNo tags attached.
Attached Filespng file icon when receipt is created with 100% discount and the product quantity is increased to 75.94 and when i reopen the receipt in webpos Uncaught TypeError appears.png [^] (194,533 bytes) 2013-08-29 16:40

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061190)
hgbot (developer)
2013-09-17 11:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 21361f985860ce3a684dbdc3e7c69d63b2593083
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Sep 17 11:23:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21361f985860ce3a684dbdc3e7c69d63b2593083 [^]

Fixed issue 24624: RMP24.2: when receipt is created with 100% discount and the product qty is 75.94 and when i reopen the receipt uncaught type err

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0061468)
hgbot (developer)
2013-09-30 09:46

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 21361f985860ce3a684dbdc3e7c69d63b2593083
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Sep 17 11:23:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/21361f985860ce3a684dbdc3e7c69d63b2593083 [^]

Fixed issue 24624: RMP24.2: when receipt is created with 100% discount and the product qty is 75.94 and when i reopen the receipt uncaught type err

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0061483)
guilleaer (developer)
2013-09-30 12:52

reclosed

- Issue History
Date Modified Username Field Change
2013-08-29 16:40 sureshbabu New Issue
2013-08-29 16:40 sureshbabu Assigned To => marvintm
2013-08-29 16:40 sureshbabu File Added: when receipt is created with 100% discount and the product quantity is increased to 75.94 and when i reopen the receipt in webpos Uncaught TypeError appears.png
2013-08-29 16:40 sureshbabu Triggers an Emergency Pack => No
2013-09-16 15:50 marvintm Assigned To marvintm => malsasua
2013-09-17 11:23 hgbot Checkin
2013-09-17 11:23 hgbot Note Added: 0061190
2013-09-17 11:23 hgbot Status new => resolved
2013-09-17 11:23 hgbot Resolution open => fixed
2013-09-17 11:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21361f985860ce3a684dbdc3e7c69d63b2593083 [^]
2013-09-17 15:13 marvintm Review Assigned To => marvintm
2013-09-17 15:13 marvintm Status resolved => closed
2013-09-17 15:13 marvintm Fixed in Version => RMP27
2013-09-30 09:46 hgbot Checkin
2013-09-30 09:46 hgbot Note Added: 0061468
2013-09-30 09:46 hgbot Status closed => resolved
2013-09-30 09:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21361f985860ce3a684dbdc3e7c69d63b2593083 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/21361f985860ce3a684dbdc3e7c69d63b2593083 [^]
2013-09-30 12:52 guilleaer Note Added: 0061483
2013-09-30 12:52 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker